Summary: System Cache flusher
Name: bdflush
Version: 1.5
Release: 8
Copyright: None
Group: Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/bdflush-1.5.tar.gz
Patch: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
Buildroot: /var/tmp/bdflush-root
Summary(de): System-Cache-Flusher
Summary(fr): Videur de cache systme.
Summary(tr): Sistem nbellek temizleyicisi

%description
This program flushes the disk buffers the kernel keeps to prevent them
from growing too stale. 

%description -l de
Dieses Programm leert die Disk-Puffer, die der Kernel speichert, damit
sie nicht ranzig werden.

%description -l fr
Ce programme vide les tampons disques du noyau pour viter qu'ils
deviennent trop anciens.

%description -l tr
Bu program ile ekirdek nbellei temizleyerek nbellekteki bilginin taze
olmasn salar.

%changelog
* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>

- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup

%patch -p1
%patch1 -p1 -b .glibc

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) /usr/man/man8/bdflush.8
%attr(-,root,root) /usr/man/man8/update.8
